org.apache.ignite.internal

## Interface ClusterGroupEx

All Superinterfaces:
  ClusterGroup

All Known Subinterfaces:
  IgniteEx

All Known Implementing Classes:
  ClusterGroupAdapter, IgniteKernal

    public interface ClusterGroupEx
    extends ClusterGroup

Internal projection interface.

### Method Summary

Methods
`ClusterGroup` `forCacheNodes(String cacheName, Set<CacheDistributionMode> distributionModes)`
`ClusterGroupEx` `forSubjectId(UUID subjId)` Creates projection for specified subject ID.

### Methods inherited from interface org.apache.ignite.cluster.ClusterGroup

`forAttribute, forCacheNodes, forClientNodes, forDaemons, forDataNodes, forHost, forNode, forNodeId, forNodeIds, forNodes, forOldest, forOthers, forOthers, forPredicate, forRandom, forRemotes, forStreamer, forYoungest, ignite, metrics, node, node, nodes, predicate`

### Method Detail

#### forSubjectId

    ClusterGroupEx forSubjectId(UUID subjId)

Creates projection for specified subject ID.

Parameters:
  `subjId` - Subject ID.
Returns:
  Internal projection.

#### forCacheNodes

    ClusterGroup forCacheNodes(@Nullable
                             String cacheName,
                             Set<CacheDistributionMode> distributionModes)

Parameters:
  `cacheName` - Cache name.
  `distributionModes` - Cache distribution modes.
Returns:
  Cluster group.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015